Package com.collabnet.ce.soap60.webservices.tracker

# Class TrackerUnitSoapRow

java.lang.Object
com.collabnet.ce.soap60.webservices.tracker.TrackerUnitSoapRow

public class TrackerUnitSoapRow extends Object
Represents a list of tracker units. Each row within a tracker unit list is represented by the TrackerUnitSoapRow class.
Change History
Release: 6.2

- Initial version

Since:
  6.2

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TrackerUnitSoapRow()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getBaseUnitMultiplier()`
  Returns 'baseUnitMultiplier'.
  `String`
  `getConversionUnitId()`
  Returns 'conversionUnitId'.
  `int`
  `getConversionUnitMultiplier()`
  Returns 'conversionUnitMultiplier'.
  `int`
  `getDisplayOrder()`
  Returns 'displayOrder'.
  `String`
  `getId()`
  Returns 'id'.
  `Date`
  `getLastEditedDate()`
  Returns 'lastEditedDate'.
  `String`
  `getName()`
  Returns 'name'.
  `String`
  `getProjectId()`
  Returns 'projectId'.
  `int`
  `getVersion()`
  Returns 'version'.
  `static void`
  `registerTypeMappings(org.apache.axis.client.Call call)`
  `void`
  `setBaseUnitMultiplier(int baseUnitMultiplier)`
  Sets 'baseUnitMultiplier'.
  `void`
  `setConversionUnitId(String conversionUnitId)`
  Sets 'conversionUnitId'.
  `void`
  `setConversionUnitMultiplier(int conversionUnitMultiplier)`
  Sets 'conversionUnitMultiplier'.
  `void`
  `setDisplayOrder(int displayOrder)`
  Sets 'displayOrder'.
  `void`
  `setId(String id)`
  Sets 'id'.
  `void`
  `setLastEditedDate(Date lastEditedDate)`
  Sets 'lastEditedDate'.
  `void`
  `setName(String name)`
  Sets 'name'.
  `void`
  `setProjectId(String projectId)`
  Sets 'projectId'.
  `void`
  `setVersion(int version)`
  Sets 'version'.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TrackerUnitSoapRow

    public TrackerUnitSoapRow()

- ## Method Details

  - ### getId

    public String getId()
    Returns 'id'. The id of the unit
    Returns:
      Value of 'id'.

  - ### setId

    public void setId(String id)
    Sets 'id'. The id of the unit
    Parameters:
      `id` - Value of 'id'.

  - ### getVersion

    public int getVersion()
    Returns 'version'. The version of the unit
    Returns:
      Value of 'version'.

  - ### setVersion

    public void setVersion(int version)
    Sets 'version'. The version of the unit
    Parameters:
      `version` - Value of 'version'.

  - ### getLastEditedDate

    public Date getLastEditedDate()
    Returns 'lastEditedDate'. When details of the unit were last changed
    Returns:
      Value of 'lastEditedDate'.

  - ### setLastEditedDate

    public void setLastEditedDate(Date lastEditedDate)
    Sets 'lastEditedDate'. When details of the unit were last changed
    Parameters:
      `lastEditedDate` - Value of 'lastEditedDate'.

  - ### getName

    public String getName()
    Returns 'name'. The unit name
    Returns:
      Value of 'name'.

  - ### setName

    public void setName(String name)
    Sets 'name'. The unit name
    Parameters:
      `name` - Value of 'name'.

  - ### getProjectId

    public String getProjectId()
    Returns 'projectId'. The project id
    Returns:
      Value of 'projectId'.

  - ### setProjectId

    public void setProjectId(String projectId)
    Sets 'projectId'. The project id
    Parameters:
      `projectId` - Value of 'projectId'.

  - ### getBaseUnitMultiplier

    public int getBaseUnitMultiplier()
    Returns 'baseUnitMultiplier'. The base unit multiplier
    Returns:
      Value of 'baseUnitMultiplier'.

  - ### setBaseUnitMultiplier

    public void setBaseUnitMultiplier(int baseUnitMultiplier)
    Sets 'baseUnitMultiplier'. The base unit multiplier
    Parameters:
      `baseUnitMultiplier` - Value of 'baseUnitMultiplier'.

  - ### getConversionUnitId

    public String getConversionUnitId()
    Returns 'conversionUnitId'. The conversion unit id
    Returns:
      Value of 'conversionUnitId'.

  - ### setConversionUnitId

    public void setConversionUnitId(String conversionUnitId)
    Sets 'conversionUnitId'. The conversion unit id
    Parameters:
      `conversionUnitId` - Value of 'conversionUnitId'.

  - ### getConversionUnitMultiplier

    public int getConversionUnitMultiplier()
    Returns 'conversionUnitMultiplier'. The conversion unit multiplier
    Returns:
      Value of 'conversionUnitMultiplier'.

  - ### setConversionUnitMultiplier

    public void setConversionUnitMultiplier(int conversionUnitMultiplier)
    Sets 'conversionUnitMultiplier'. The conversion unit multiplier
    Parameters:
      `conversionUnitMultiplier` - Value of 'conversionUnitMultiplier'.

  - ### getDisplayOrder

    public int getDisplayOrder()
    Returns 'displayOrder'. The display order
    Returns:
      Value of 'displayOrder'.

  - ### setDisplayOrder

    public void setDisplayOrder(int displayOrder)
    Sets 'displayOrder'. The display order
    Parameters:
      `displayOrder` - Value of 'displayOrder'.

  - ### registerTypeMappings

    public static void registerTypeMappings(org.apache.axis.client.Call call)